SparrowDesk
Contact fields

Update a contact field

Updates an existing contact field. Default fields cannot have their name changed or be deactivated. `field_options` is append-only — existing options cannot be removed or renamed, only new ones added (dropdown fields only). Requires "manage contacts" scope.

PATCH
/contacts/fields/{id}
AuthorizationBearer <token>

In: header

Path Parameters

idinteger

Contact field ID

name?string
description?string
is_active?boolean
field_options?array<string>

Appends new options to dropdown fields only

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.sparrowdesk.com/v1/contacts/fields/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": 100000144,
    "name": "Priority Tier",
    "type": "dropdown",
    "internal_name": "priority_level",
    "description": "Updated description",
    "is_active": true,
    "is_default": false,
    "field_options": [
      {
        "id": 28,
        "name": "Urgent",
        "position": 5
      }
    ],
    "created_at": 1781455256,
    "updated_at": 1781455263
  }
}
{
  "error": {
    "message": "Cannot update name of a default contact field"
  }
}
{
  "error": {
    "message": "Contact field with id 999 not found"
  }
}
{
  "error": {
    "message": "Field with name 'Priority Level' already exists"
  }
}
{
  "error": {
    "message": "Error while updating contact field"
  }
}